<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_80e7ee43fdf838101a2303a7b4a50e" . "fc" => base64_decode("dG9fZm9sZG" . "VyX2lk"), "t" . "y" . "p" . "e" => base64_decode("dHl" . "wZQ" . "=="), "_939c6a45ff74323dbef487e" . "d15753a7c" => base64_decode("c3RhdG" . "U="), "_32155ccb342f19904" . "3093041c1b3bb57" => base64_decode("ZnJvbV9mb2x" . "kZXJfaWQ="), "_4c760fb02a49c55509ba" . "087b84fbda45" => base64_decode("ZH" . "Jh" . "Zn" . "Q="), "_d0845bff5cd0dd" . "b5ed1d7bd9db996" . "f51" => base64_decode("c291c" . "mNl"), "_2e858fb1973337f53ff85c104fc" . "b38f4" => base64_decode("cHVib" . "GlzaG" . "Vk"));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_939c6a45ff74323db" . "ef487ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_939c6a4" . "5ff74323" . "dbef487e" . "d15753a7" . "c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4c760fb02a49c55509b" . "a087b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_2e858fb1973" . "337f53ff85c1" . "04fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["typ" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["typ" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d0845bff5cd0ddb5ed1d7bd9" . "db996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_32155ccb342f1" . "99043093041c1b" . "3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_80e7ee43fdf838" . "101a2303a7b4a50" . "efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}